// JavaScript Document

function checkNo($txtObj) {//账号必填，且长度在6到12之间
    var len = $txtObj.val().length;
    if (len == 0) {
        $txtObj.siblings("div").addClass('error_info').text("账号必填");
        return false;
    }
    if (len < 3 || len > 20) {
        $txtObj.siblings("div").addClass('error_info').text("账号的长度在3到20位之间");
        return false;
    } else {
        $.ajax({
            url: "checkName.do",
            type: "post",
            data: "uname=" + $txtObj.val(),
            dataType: "json",
            success: function (result) {
                if (result.info == "ng") {
                    $txtObj.siblings("div").addClass('error_info').text("用户名存在，请更换！");
                    return false;
                } else {
                    $txtObj.siblings("div").text("用户名可以用！");
                    $txtObj.siblings("div").addClass("spanBlurOk").text("");
                    return true;
                }
            },
            error: function () {
                alert("请求处理中！");
                return false;
            }

        });
    }
    $txtObj.siblings("div").addClass("spanBlurOk")
        .text("");
    return true;
}

/*验证密码*/
function checkPwd($txtObj) {
    var len = $txtObj.val().length;
    if (len == 0) {
        $txtObj.siblings("div").addClass('error_info').text("密码必填");
        return false;
    }
    if (len < 6 || len > 12) {
        $txtObj.siblings("div").addClass('error_info').text("密码的长度在6到12位之间");
        return false;
    }
    $txtObj.siblings("div").addClass("spanBlurOk")
        .text("");
    return true;
}
/*验证重复密码*/
function checkConfirm($txtObj) {
    var pwd = $("#pwdTxt").val();
    var len = $txtObj.val().length;
    if (len == 0) {
        $txtObj.siblings("div").addClass('error_info').text("确认密码必填");
        return false;
    }
    if (pwd != $txtObj.val()) {
        $txtObj.siblings("div").addClass('error_info').text("两次输入的密码不一致");
        return false;
    }
    $txtObj.siblings("div").addClass("spanBlurOk")
        .text("");
    return true;
}

function checkName($txtObj) {
    var len = $txtObj.val().length;
    if (len == 0) {
        $txtObj.siblings("div").text("预留问题必填");
        return false;
    }
    /*if(len<2||len>6){
        $txtObj.siblings("div").text("姓名的长度在2到6位之间");
        return false;
    }*/
    $txtObj.siblings("div").addClass("spanBlurOk")
        .text("");
    return true;
}

// 验证手机号
function checkPhone($txtObj) {
    var phoneReg = /^(13|14|15|16|17|18|19)\d{9}$/;
    var len = $txtObj.val().length;
    if (len == 0) {
        $txtObj.siblings("div").addClass('error_info').text("手机号必填");
        return false;
    }
    if (!phoneReg.test($txtObj.val())) {
        $txtObj.siblings("div").addClass('error_info').text("手机格式错误");
        return false;
    }
    $txtObj.siblings("div").addClass("spanBlurOk")
        .text("");
    return true;
}

function checkId($txtObj) {
    var idReg = /^\d{15}$|^\d{18}$/;
    var len = $txtObj.val().length;
    if (len == 0) {
        $txtObj.siblings("div").addClass('error_info').text("身份证必填");
        return false;
    }
    if (!idReg.test($txtObj.val())) {
        $txtObj.siblings("div").addClass('error_info').text("身份证格式错误");
        return false;
    }
    $txtObj.siblings("div").addClass("spanBlurOk")
        .text("");
    return true;
}

/*添加验证*/
function check() {
    var flag = checkNo($("#accountTxt"))
        && checkPwd($("#pwdTxt"))
        && checkConfirm($("#pwdTxtConfirm"))
        /* &&checkName($("#txtName"))*/
        //&&checkId($("#txtId"))
        && checkPhone($("#telTxt"));
    if (flag == false) {
        alert("信息不完整！");
    }
    return flag;
}

/*更新验证*/
function checkUpdate() {
    var flag = checkPwd($("#pwdTxt"))
        /*&&checkConfirm($("#pwdTxtConfirm"))*/
        /* &&checkName($("#txtName"))*/
        //&&checkId($("#txtId"))
        && checkPhone($("#telTxt"));
    if (flag == false) {
        alert("信息不符合要求！");
    }
    return flag;
}


function checkYPwd() {
    var ypwd = $("#ypwd").val();
    var pwd = $("#pwd").val();
    if (ypwd != pwd) {
        $("#pwd").siblings("div").text("原密码不正确！");
        return false;
    } else {
        $("#pwd").siblings("div").text("");
        return true;
    }
}

/*更新验证*/
function checkUpdatePwd() {
    var flag = /*checkPwd($("#pwdTxt"))&&*/checkYPwd();
    /*&&checkConfirm($("#pwdTxtConfirm"))*/
    /* &&checkName($("#txtName"))*/
    //&&checkId($("#txtId"))
    if (flag == false) {
        alert("原密码不正确！");
    }
    return flag;
}

//文本框获取焦点时的样式
function getFocus($txtObj) {
    $txtObj.removeClass("txtInit")
        .addClass("txtFocus");  //修改当前文本框的样式
    $txtObj.siblings("div").removeClass("spanBlurOk"); //获取同胞元素<span>，去掉背景图片,等待失去焦点后重新验证
}

//文本框失去焦点时的样式
function loseFocus($txtObj) {
    $txtObj.removeClass("txtFocus")
        .addClass("txtInit");
}

$(function () {
    //自动触发账号文本框的focus事件
    $("#unameTxt").trigger("focus");
    $("#unameTxt").focus(function () {//绑定账号文本框获取焦点事件
        getFocus($(this));
    });
    $("#unameTxt").blur(function () {//绑定账号文本框丢失焦点事件
        loseFocus($(this)); //改样式
        checkNo($(this));//判断对错
    });

    $("#pwdTxt").focus(function () {//绑定密码文本框获取焦点事件
        getFocus($(this));
    });
    $("#pwdTxt").blur(function () {//绑定密码文本框丢失焦点事件
        loseFocus($(this)); //改样式
        checkPwd($(this));//判断对错
    });

    $("#pwdTxtConfirm").focus(function () {//绑定确认密码文本框获取焦点事件
        getFocus($(this));
    });
    $("#pwdTxtConfirm").blur(function () {//绑定确认密码文本框丢失焦点事件
        loseFocus($(this)); //改样式
        checkConfirm($(this));//判断对错
    });

    $("#txtName").focus(function () {//绑定姓名文本框获取焦点事件
        getFocus($(this));
    });
    $("#txtName").blur(function () {//绑定姓名文本框丢失焦点事件
        loseFocus($(this)); //改样式
        checkName($(this));//判断对错
    });


    $("#txtId").focus(function () {//绑定身份证文本框获取焦点事件
        getFocus($(this));
    });
    $("#txtId").blur(function () {//绑定身份证文本框丢失焦点事件
        loseFocus($(this)); //改样式
        checkId($(this));//判断对错
    });

    $("#telTxt").focus(function () {//绑定手机号码文本框获取焦点事件
        getFocus($(this));
    });
    $("#telTxt").blur(function () {//绑定手机号码文本框丢失焦点事件
        loseFocus($(this)); //改样式
        checkPhone($(this));//判断对错
    });
});
